/* Copyright (C) 2010 MoSync AB

This program is free software; you can redistribute it and/or modify it under
the terms of the GNU General Public License, version 2, as published by
the Free Software Foundation.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
for more details.

You should have received a copy of the GNU General Public License
along with this program; see the file COPYING.  If not, write to the Free
Software Foundation, 59 Temple Place - Suite 330, Boston, MA
02111-1307, USA.
*/

#ifndef TRIM_H_
#define TRIM_H_

#include <MAUtil/String.h>
using namespace MAUtil;

void trim(String& inputstring);
char* strReplace(char* original, const char* remove, const char* replacement);
char* strReplaceFirst(char* original, const char* remove, const char* replacement);
void parseControlCodes(String inp);
void trimQuotes(String& inp);
void stripHTML(String& inp);

#endif /*TRIM_H_*/
