/* Copyright (C) 2010 MoSync AB

This program is free software; you can redistribute it and/or modify it under
the terms of the GNU General Public License, version 2, as published by
the Free Software Foundation.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
for more details.

You should have received a copy of the GNU General Public License
along with this program; see the file COPYING.  If not, write to the Free
Software Foundation, 59 Temple Place - Suite 330, Boston, MA
02111-1307, USA.
*/

#ifndef _UIBUILDER_H_
#define _UIBUILDER_H_

#include <MAUI/Screen.h>
#include <MAUI/Layout.h>
#include <MAUI/Image.h>
#include <MAUI/Label.h>
#include <MAUI/ListBox.h>
#include <MAUI/EditBox.h>
#include <conprint.h>
#include "GridMenu.h"
#include "MenuButton.h"
#include "MAHeaders.h"

using namespace MAUI;

Label* createLabel(const char* str, int height=5);
Label* createLabel(String& str, int height=5);
void setLabelPadding(Widget* w);
void setSKPadding(Widget* w);

Image* createImage(int res);
Widget* createMenuImage(int res, char* caption, Font* f, WidgetSkin* ws);

#endif
